phpLDAPadmin

# Class: MatchingRuleUse

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

    SchemaItem
       |
       --MatchingRuleUse

Represents an LDAP schema matchingRuleUse entry

### Methods

- __construct
- getUsedByAttrs

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$name

### Inherited Methods

#### Class: SchemaItem

SchemaItem::getDescription()
SchemaItem::getIsObsolete()
  Gets whether this objectClass is flagged as obsolete by the LDAP server.
SchemaItem::getName()
  Return the objects name.
SchemaItem::getOID()
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 1453]
Represents an LDAP schema matchingRuleUse entry
[ Top ]

### Class Methods

### constructor __construct [line 1457]

`MatchingRuleUse __construct( $strings)`

#### Parameters:

| $strings |

[ Top ]

### method getUsedByAttrs [line 1532]

`array getUsedByAttrs( )`

Gets an array of attribute names (strings) which use this MatchingRuleUse object.

#### Tags:

return: | The array of attribute names (strings).
access: | public

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1